apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: redis
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  source:
    repoURL: registry-1.docker.io/bitnamicharts
    chart: redis
    targetRevision: "27.0.15"
    helm:
      values: |
        architecture: standalone
        auth:
          password: change-me
        master:
          persistence:
            enabled: true
            size: 4Gi
            storageClass: yc-network-hdd
          resources:
            requests:
              cpu: 100m
              memory: 256Mi
            limits:
              cpu: 500m
              memory: 512Mi
  destination:
    server: https://kubernetes.default.svc
    namespace: redis
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
